Skip to content
Permalink
Browse files

GH-2723 disable deprecation warnings

We are targeting version 5.4 of the Qt ABI.
Deprecations from 2019 are irrelevant.
  • Loading branch information...
peterix committed Jul 2, 2019
1 parent ee83d43 commit c01d020afc044e50ec3af0799572b42fa96f28fc
Showing with 1 addition and 1 deletion.
  1. +1 −1 CMakeLists.txt
@@ -32,7 +32,7 @@ set(CMAKE_C_STANDARD_REQUIRED true)
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_C_STANDARD 11)
include(GenerateExportHeader)
set(CMAKE_CXX_FLAGS " -Wall -pedantic -Werror -D_GLIBCXX_USE_CXX11_ABI=0 -fstack-protector-strong --param=ssp-buffer-size=4 -O3 -D_FORTIFY_SOURCE=2 ${CMAKE_CXX_FLAGS}")
set(CMAKE_CXX_FLAGS " -Wall -pedantic -Werror -Wno-deprecated-declarations -D_GLIBCXX_USE_CXX11_ABI=0 -fstack-protector-strong --param=ssp-buffer-size=4 -O3 -D_FORTIFY_SOURCE=2 ${CMAKE_CXX_FLAGS}")
if(UNIX AND APPLE)
set(CMAKE_CXX_FLAGS " -stdlib=libc++ ${CMAKE_CXX_FLAGS}")
endif()

0 comments on commit c01d020

Please sign in to comment.
You can’t perform that action at this time.